Add script to check against a few ffmpegs.
authorCarl Hetherington <cth@carlh.net>
Sat, 4 Aug 2012 14:47:07 +0000 (15:47 +0100)
committerCarl Hetherington <cth@carlh.net>
Sat, 4 Aug 2012 14:47:07 +0000 (15:47 +0100)
build-all-ffmpeg [new file with mode: 0755]

diff --git a/build-all-ffmpeg b/build-all-ffmpeg
new file mode 100755 (executable)
index 0000000..a3d197c
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+FFMPEGS=/home/carl/ffmpeg
+
+# 0.6, 0.7, 0.8 need significant work, I think.
+
+for v in 0.9.2 0.10.4 0.11.1; do
+    PKG_CONFIG_PATH=$FFMPEGS/$v/lib/pkgconfig ./waf configure
+    if [ "$?" != "0" ]; then
+        echo "$v: configure FAIL"
+       exit 1
+    fi
+    ./waf
+    if [ "$?" != "0" ]; then
+        echo "$v: build FAIL"
+       exit 1
+    fi
+    echo "$v: PASS"
+done
+